services:
  nar_group_domain.subscriber:
    class: Drupal\nar_group_domain\EventSubscriber\GroupDomainSubscriber
    tags:
      - { name: event_subscriber }
    arguments: ['@path_alias.manager', '@path.current', '@entity_type.manager', '@config.factory']
  nar_group_domain.path_processor:
    class: Drupal\nar_group_domain\PathProcessor\GroupDomainPathProcessor
    tags:
      - { name: path_processor_inbound, priority: 250 }
      - { name: path_processor_outbound, priority: 350 }
    arguments: ['@path_alias.manager', '@entity_type.manager', '@config.factory', '@nar_group_domain.manager']
  nar_group_domain.manager:
    class: Drupal\nar_group_domain\GroupDomainManager
    arguments: ['@entity_type.manager', '@config.factory']
